//
//  Text.swift
//  AcaMate
//
//  Created by Sean Kim on 12/1/24.
//

import SwiftUI


extension Text {
    func multilineStyle(_ alignment: TextAlignment = .leading, limit: Int = 1, scale: CGFloat = 0.5) -> some View {
        return self
            .lineLimit(limit)
            .minimumScaleFactor(scale)
            .multilineTextAlignment(alignment)
            .truncationMode(.tail)
    }
}
